
Red Hat Enterprise Linux 4 Update 3 Release Notes

   Copyright © 2006 Red Hat, Inc.
     _________________________________________________________________

Introduction

   The following topics are covered in this document:
     * Changes to the Red Hat Enterprise Linux installation program (Anaconda)
     * General information
     * Kernel Notes
     * Changes to drivers and hardware support
     * Changes to packages

   For late-breaking information on Red Hat Enterprise Linux 4 Update 3 that
   did not appear in these Release Notes, refer to the Red Hat Knowledgebase at
   the following URL:

   https://www.redhat.com/apps/support/knowledgebase/

Installation Related Notes

   The following section includes information specific to installation of Red
   Hat Enterprise Linux and the Anaconda installation program.

Note

   In order to upgrade an already-installed Red Hat Enterprise Linux 4 system
   to Update 3, you must use Red Hat Network to update those packages that have
   changed.

   You may use Anaconda to perform a fresh installation of Red Hat Enterprise
   Linux 4 Update 3 or to perform an upgrade from the latest updated version of
   Red Hat Enterprise Linux 3 to Red Hat Enterprise Linux 4.
     * If you are copying the contents of the Red Hat Enterprise Linux 4 Update
       3 CD-ROMs (in preparation for a network-based installation, for example)
       be sure you copy the CD-ROMs for the operating system only. Do not copy
       the Extras CD-ROM, or any of the layered product CD-ROMs, as this will
       overwrite files necessary for Anaconda's proper operation.
       These CD-ROMs must be installed after Red Hat Enterprise Linux has been
       installed.
     * The Red Hat Enterprise Linux 4 installation program terminates with the
       error "install exited abnormally -- received signal 11" early in the
       installation process if a Sony PCGA-CD51 external PCMCIA CD-ROM drive is
       connected.
       There are two workarounds for this issue:
         1. If you are using the drive as the installation source, add the
            following options at the installation boot prompt:

pci=off ide1=0x180,0x386

         2. If  you are not using the drive as the install source, either
            disconnect  it  before attempting the installation or add the
            following option at the installation boot prompt:

nopcmcia

     * Installation of Red Hat Enterprise Linux 4 Update 3 is known to have an
       issue with USB peripherals on IBM® BladeCenter® HS20-8832 systems.
       To avoid this issue, you must perform either of two actions:
          + Install Red Hat Enterprise Linux 4 Update 3 for AMD64 and Intel®
            EM64T platforms
          + If you are installing Red Hat Enterprise Linux 4 Update 3 for the
            x86 architecture, you must first move the USB IRQ from line #7 to
            another available IRQ line. This will prevent stray interrupts from
            disrupting the USB device and the installation of the OS. Consult
            your hardware vendor for more information about changing IRQ lines
            in your system.

General Information

   This section contains general information not specific to any other section
   of this document.
     * The InfiniBand Architecture (IBA) is an industry standard that defines a
       new high-speed, switched fabric subsystem designed to connect processor
       nodes and I/O nodes to form a system area network. This new interconnect
       method transitions from a local transaction-based I/O model across buses
       to a remote message-passing model across channels.
       Red  Hat Enterprise Linux 4 Update 3 includes a technology preview
       release of the upstream OpenIB.org InfiniBand network and clustering
       software implementation.
       Note that this technology preview release is not supported for use in
       production environments, and that the OpenIB InfiniBand interfaces and
       APIs are subject to change during the technology preview phase. Not all
       of the InfiniBand upper layer protocols are implemented in the current
       upstream OpenIB project. As more upper layer protocols are implemented
       by the OpenIB group, a fully supported release of the OpenIB InfiniBand
       network/clustering stack is planned.
       InfiniBand technologies implemented via new or updated packages in this
       preview are as follows:
          + kernel  —  Low  level  driver support for Mellanox based host
            controllers are included. The core InfiniBand modules are also
            included,  which  provide the interface between the low level
            hardware driver and the upper layer InfiniBand protocol drivers and
            also  provide  user space access to InfiniBand hardware. Also
            included are the Sockets Direct Protocol (SDP) upper layer kernel
            driver, the IP over InfiniBand (IPoIB) TCP/IP networking protocol
            driver, and the SCSI Remote Direct Memory Access (RDMA) protocol
            driver.
          + udev - Minor modifications were made to know where to place the new
            InfiniBand device files
          + initscripts — Added a new ifup-ib network script to enable using
            IPoIB networking at boot time.
          + module-init-tools — Minor modifications were made to support the
            new SDP socket protocol and IPoIB interfaces
          + libibverbs — A library that provides direct user space access to
            the RDMA verbs capabilities of InfiniBand hardware. Developers who
            want  to  program  to  the verbs interface can program to the
            libibverbs  API  and, as new hardware support is added, their
            application will require no modifications.
          + libmthca — A low level hardware driver library that plugs into
            libibverbs and actually communicates with the hardware on behalf of
            libibverbs. Support for future hardware will be implemented as
            additional libraries.
          + libsdp — An LD_PRELOAD supported library that allows users to cause
            their existing TCP/IP network applications to use SDP instead
            without the need to recompile their application
          + opensm — The Open Subnet Manager. At least one machine in any
            InfiniBand network must be running a subnet manager in order to
            configure the low level hardware link routing. This is usually left
            running as a system daemon to handle reconfiguration of the subnet
            fabric on link status change events.
          + udapl — The User Direct Access Programming Library is a high level
            user space RDMA programming environment. The uDAPL library allows
            applications to take advantage of RDMA protocols without having to
            be aware of how to program the RDMA capable hardware. The uDAPL
            specification is not InfiniBand specific, and in the future should
            support RDMA hardware other than InfiniBand, such as RDMA enabled
            10-Gigabit Ethernet controllers.
            To use the udapl library, you must make sure that the libdat.so
            file is in the path. This can accomplished by adding the following
            line to the /etc/ld.so.conf file:

/usr/lib64/dat

            Additionally, by default, the system parameters are set to allow
            only a minimum amount of memory to be locked down by user-mode
            applications, such as uDAPL. To increase this limit, you must
            modify the parameters in /etc/security/limits.conf to increase the
            amount of memory allowed for memlock.
            For example, on a system with 1 gigabytes of memory, a system
            administrator may allow 1 gigabyte to be locked down via memlock.
            To allow this, the administrator would add the following in the
            /etc/security/limits.conf file.

*                hard    memlock          1000000
*                soft    memlock          1000000

       For more information on InfiniBand technologies, refer to the Red Hat
       Knowledgebase at the following URL:
       https://www.redhat.com/apps/support/knowledgebase/.
     * There is a change in the behavior of /etc/issue and /etc/issue.net in
       the redhat-release package, such that user-customized versions of these
       files  are  not  moved  to  a new filename (/etc/issue.rpmsave and
       /etc/issue.net.rpmsave, respectively) when redhat-release is updated.
       Because of the triggers that exist in previous redhat-release RPMs, the
       change  in behavior will not take effect when the package is first
       updated. What will happen is that the new /etc/issue and /etc/issue.net
       files from the updated redhat-release package will be saved as they are
       on disk and any previously customized /etc/issue and /etc/issue.net
       files will get moved to /etc/issue.rpmsave and /etc/issue.net.rpmsave,
       respectively. Users must reapply their customizations to these files one
       time. After reapplying their customizations to the files, subsequent
       upgrades will update as expected without such user intervention.
     * Red Hat Enterprise Linux 4 Update 3 supports a new feature to access
       z/VM hypervisor commands (CP commands) using a new Linux kernel module
       called vmcp.ko and a new tool called vmcp. This new feature allows Linux
       guests to be managed running under z/VM out of a z/VM guest running a
       Red Hat Enterprise Linux 4 Update 3 image.
     * DebugInfo packages provide full debugging symbol binaries for individual
       package libraries so that system analysis tools and profilers can fully
       debug and trace applications. DebugInfo packages install these binaries
       in the directory /usr/lib/debuginfo.
       With  the  -debuginfo RPMs installed, users are able to fully take
       advantage of the following deep analysis tools:
          + Program debugging with gdb
          + kernel core dump debugging with crash
          + performance analysis and profiling with systemtap and oprofile
       DebugInfo packages for Red Hat Enterprise Linux 4 are available from the
       Red Hat FTP site at the following URLs:
ftp://ftp.redhat.com/pub/redhat/linux/updates/enterprise/4AS/en/os/Debuginfo
ftp://ftp.redhat.com/pub/redhat/linux/updates/enterprise/4Desktop/en/os/Debugin
fo
ftp://ftp.redhat.com/pub/redhat/linux/updates/enterprise/4ES/en/os/Debuginfo
ftp://ftp.redhat.com/pub/redhat/linux/updates/enterprise/4WS/en/os/Debuginfo
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/4/en/os/i386/Debuginfo
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/4/en/os/ia64/Debuginfo
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/4/en/os/ppc/Debuginfo
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/4/en/os/s390/Debuginfo
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/4/en/os/s390x/Debuginfo
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/4/en/os/x86_64/Debuginfo
     * Red  Hat Enterprise Linux 4 Update 3 includes a technology preview
       release  of  Frysk,  a new execution analysis framework. Users are
       encouraged  to  find  more information and provide feedback on the
       technology preview at the Frysk project web site:
       http://sources.redhat.com/frysk/
       Note that this technology preview release of Frysk is not supported for
       use in production environments, and that Frysk interfaces and APIs are
       subject to change during the technology preview phase. A fully supported
       release of Frysk is planned for future releases of Red Hat Enterprise
       Linux.

Kernel Notes

   This section contains notes relating to the Red Hat Enterprise Linux 4
   Update 3 kernel.
     * Red Hat Enterprise Linux 4 Update 3 includes the largesmp kernel package
       for 64-bit platforms. In order to preserve the kernel application binary
       interface (kabi) in current supported kernels, Red Hat introduces a new
       kernel package called kernel-largesmp-2.6.9-xxx.EL.yyy.rpm.
       xxx specifies the kernel version, while yyy specifies the platform name,
       which is one of the following 3 platforms: x86_64, ia64, ppc64.
       The  largesmp kernel on AMD64 and Intel® EM64T platforms increases
       support of CPUs from 8 to 64.
       A technology preview of the largesmp kernel is also available for both
       Itanium2 and POWER architectures, increasing the theoretical CPU limits
       to 128 on POWER and 512 on Itanium2. Because it is a technology preview,
       the  largesmp  kernels  on POWER and Itanium2 are not supported in
       production environments. Note that 9 to 64 CPUs are already supported in
       Red Hat Enterprise Linux 4 Update 2 in the kernel-smp-2.6.9-xxx.EL and
       kernel-hugemem-2.6.9-xxx.EL packages.
       With successful partner collaboration and testing of the largesmp kernel
       in Red Hat Enterprise Linux 4 Update 3, the supported and certifiable
       CPU limits for AMD64/EM64T, Itanium2, and POWER will increase in future
       releases.
       For more information on largesmp kernel support, refer to the Red Hat
       KnowledgeBase at the following URL:
       https://www.redhat.com/apps/support/knowledgebase/
     * The largesmp kernels introduced in Red Hat Enterprise Linux 4 Update 3
       support up to 128GB of memory.
     * Files and directories have permission sets for the owner of the file,
       the group associated with the file, and all other users for the system.
       However, these permission sets have limitations. For example, different
       permissions cannot be configured for different users. To address this
       need, Access Control Lists (ACLs) were implemented.
       The Red Hat Enterprise Linux 4 Update 3 kernel provides ACL support for
       the ext3 file system and NFS file systems. ACLs are now recognized on
       ext3 file systems accessed via Samba.
       Along  with  support in the kernel, the acl package is required to
       implement ACLs. The acl package contains the utilities used to add,
       modify, remove, and retrieve ACL information.
       Refer to Red Hat Enterprise Linux System Administrator's Guide for more
       information on supported utilities and usage.
     * Red Hat Enterprise Linux 4 Update 3 adds error detection and correction
       (EDAC)  functionality  for  x86 and x86_64 systems. The kernel, on
       supported chipsets, can now detect and report ECC single bit errors, and
       report and panic on multi-bit errors.
       The     behavior     of    the    kernel    is    controlled    by
       /proc/sys/kernel/panic_on_unrecovered_nmi; and the default value is set
       to "1". If an unrecoverable ECC error or unknown non-maskable interrupt
       (NMI) is detected and the value of
       /proc/sys/kernel/panic_on_unrecovered_nmi is set to "1", then the kernel
       will panic and halt the system. This is the default behavior.
       The hardware autodetect program automatically detects and loads the
       appropriate EDAC kernel modules during installation or upgrade. Upon
       successful loading of the modules, some kernel messages will be saved in
       the  message log file. To disable autodetect, refer to the Red Hat
       Knowledgebase for instructions.
       While  EDAC kernel modules are loaded, the kernel provides control
       interfaces to perform debugging and logging at run-time via /proc/sys/mc
       and directory assistance via the /proc/mc directory.
       If the EDAC kernel modules are loaded, then the kernel provides control
       interfaces to perform debugging and logging at run-time via /proc/sys/mc
       and directory assistance via the /proc/mc directory.
       The EDAC code in Red Hat Enterprise Linux 4 and the code it is based on
       provide statistics via /proc. As part of the merger and acceptance of
       this code into the base kernel, this interface will change to use sysfs.
       Customers should expect future Red Hat Enterprise product lines to adopt
       the sysfs interface instead.
       For more information on EDAC support, refer to the Red Hat Knowledgebase
       at the following URL:
       https://www.redhat.com/apps/support/knowledgebase/.
     * Kernel Key Management support was a new feature included in Red Hat
       Enterprise  Linux 4 Update 2. However, due to on-going development
       efforts, be advised that Kernel Key Management is a technology preview
       and that the key management interfaces can and will undergo further
       development in subsequent Red Hat Enterprise Linux 4 updates. Because
       Kernel Key Management is a technology preview, it is not supported for
       production environments.

Changes to Drivers and Hardware Support

   This update includes bug fixes for a number of drivers. The more significant
   driver updates are listed below.
     * The following device drivers are added or updated in Red Hat Enterprise
       Linux 4 Update 3:
          + added support for Marvell Yukon 2 chipset in sky2 driver
          + added support for SysKonnect's SK-9E21, SK-9S21 chipset in sky2
            driver
          + added  support  for  LSI  Logic MegaRAID Serial Attached SCSI
            (megaraid_sas) driver
          + incorporated Broadcom NetXtreme II (bnx2) network driver with
            support for BCM5706 and BCM5708
          + added support for HT1000 chipset in serverworks driver
          + added support for HT2000 chipset in serverworks driver
          + updated Emulex LightPulse Fibre Channel (lpfc) driver
          + updated Intel(R) PRO/1000 (e1000) networking driver
          + updated HP Smart Array (cciss) driver
          + updated LSI Logic MPT Fusion driver
          + updated QLogic Fibre Channel (qla2xxx) driver
          + updated Adaptec RAID (aacraid) driver
          + updated Broadcom Tigon 3 (tg3) network driver
          + various SATA driver updates
     * The  SysKonnect Yukon II (sky2) driver is now available in Red Hat
       Enterprise Linux 4 Update 3. It only supports hardware that is not
       supported by the sk98lin driver in Red Hat Enterprise Linux 4 Update 3.
       Note that the current version of the sky2 driver is known to perform
       poorly if autonegotiation is disabled.
     * Support for fabric rediscovery through sysfs is now available in Red Hat
       Enterprise Linux 4 Update 3. For the Qlogic (qla2xxx) and Emulex (lpfc)
       Fibre  Channel  HBA drivers, run the following commands to perform
       redisocvery and rescan for new storage:

echo "1" > /sys/class/fc_host/hostXYZ/issue_lip
echo "- - -" > /sys/class/scsi_host/hostXYZ/scan

       Where XYZ is the scsi host number of your HBA.
     * The Red Hat Enterprise Linux 4 release notes mentioned several issues
       related to the Emulex LightPulse Fibre Channel driver (lpfc). All of
       these issues (related to cable pulls, rmmod and insmod) were fixed in
       Red Hat Enterprise Linux 4 Update 1. The lpfc driver was included in the
       upstream Linux 2.6 kernel shortly after Red Hat Enterprise Linux 4
       shipped. Red Hat fully supports the lpfc driver, and is committed to
       maintaining  the  driver  as long as Red Hat Enterprise Linux 4 is
       supported.
     * In  some  Fibre  Channel  configurations, an operating system will
       automatically detect the addition of a new target device while the
       system is running. In other configurations, it is necessary to issue the
       following command to detect a new target device:

echo 1 > /sys/class/fc_host/hostn/issue_lip

       Where hostn corresponds to the appropriate adapter.
       When a new Logical Unit is created on a particular target, a command
       such as the following is required to detect and configure it:

echo "b t l" > /sys/class/scsi_host/hostn/scan

       Where b is the bus, t is the target, and l is the LUN to be scanned on
       hostn.
       Wild cards can also be used, such as the following example:

echo "- - -" > /sys/class/scsi_host/host2/scan

       Note that the device name (such as /dev/sdb) that is assigned when a
       device is added dynamically while the system is running may be different
       from the device name assigned the next time the system boots.
     * Red Hat Enterprise Linux 4 Update 3 includes support for scanning past
       LUN 0 when a target returns a peripheral qualifier of 3 for LUN 0. For
       SCSI 3 and higher devices, the scsi layer will attempt a REPORT_LUNS
       command, and for SCSI 2 devices the scsi layer will perform a sequential
       scan for LUNs 1 to 7.
       To modify the scanning behavior, users can add entries to the scsi
       device_info   table   through  the  procfs  interface  located  at
       /proc/scsi/device_info or through the scsi_mod module parameters. The
       format for the entry is dev_flags=vendor:model:flags[,v:m:f] where flags
       can be the following integer values:

0x001   /* Only scan LUN 0 */
0x002   /* Known to have LUNs, force scanning, deprecated: Use max_luns=N */
0x004   /* Flag for broken handshaking */
0x008   /* unlock by special command */
0x010   /* Do not use LUNs in parallel */
0x020   /* Buggy Tagged Command Queuing */
0x040   /* Non consecutive LUN numbering */
0x080   /* Avoid LUNS >= 5 */
0x100   /* Treat as (removable) CD-ROM */
0x200   /* LUNs past 7 on a SCSI-2 device */
0x400   /* override additional length field */
0x800   /* ... for broken inquiry responses */
0x1000  /* do not do automatic start on add */
0x2000  /* do not send ms page 0x08 */
0x4000  /* do not send ms page 0x3f */
0x8000  /* use 10 byte ms before 6 byte ms */
0x10000 /*  192 byte ms page 0x3f request */
0x20000 /* try REPORT_LUNS even for SCSI-2 devs (if HBA supports more than 8 LU
Ns) */
0x40000 /* don't try REPORT_LUNS scan (SCSI-3 devs) */
0x80000 /* don't use PREVENT-ALLOW commands */
0x100000 /* device is actually for RAID config */
0x200000 /* select without ATN */
0x400000 /* retry HARDWARE_ERROR */

       For example, to scan past LUN 7 for a SCSI 2 device from vendor Linux
       with model scsi_debug, execute the following command:

echo Linux:scsi_debug:0x200 > /proc/scsi/device_info

       or

modprobe scsi_mod dev_flags=Linux:scsi_debug:200

       The module parameter can also be added to /etc/modprobe.conf so that it
       can be used at system boot-up:

options scsi_mod dev_flags=Linux:scsi_debug:200

Changes to Packages

   This section contains listings of packages that have been updated or added
   from Red Hat Enterprise Linux 4 as part of Update 3.

Note

   These package lists include packages from all variants of Red Hat Enterprise
   Linux 4. Your system may not include every one of the packages listed here.

   The  following  packages have been updated from the release of Red Hat
   Enterprise Linux 4 Update 2:
     * MAKEDEV-3.15-2 => MAKEDEV-3.15.2-3
     * OpenIPMI-1.4.14-1.4E.7 => OpenIPMI-1.4.14-1.4E.12
     * OpenIPMI-devel-1.4.14-1.4E.7 => OpenIPMI-devel-1.4.14-1.4E.12
     * OpenIPMI-libs-1.4.14-1.4E.7 => OpenIPMI-libs-1.4.14-1.4E.12
     * OpenIPMI-tools-1.4.14-1.4E.7 => OpenIPMI-tools-1.4.14-1.4E.12
     * anaconda-10.1.1.25-1 => anaconda-10.1.1.33-2
     * anaconda-runtime-10.1.1.25-1 => anaconda-runtime-10.1.1.33-2
     * audit-1.0.3-6.EL4 => audit-1.0.12-1.EL4
     * audit-libs-1.0.3-6.EL4 => audit-libs-1.0.12-1.EL4
     * audit-libs-devel-1.0.3-6.EL4 => audit-libs-devel-1.0.12-1.EL4
     * autofs-4.1.3-155 => autofs-4.1.3-169
     * binutils-2.15.92.0.2-15 => binutils-2.15.92.0.2-18
     * bootparamd-0.17-19.RHEL4 => bootparamd-0.17-21.RHEL4
     * chkconfig-1.3.13.2-1 => chkconfig-1.3.13.3-2
     * compat-openldap-2.1.30-3 => compat-openldap-2.1.30-4
     * comps-4AS-0.20051001 => comps-4AS-0.20060125
     * cpp-3.4.4-2 => cpp-3.4.5-2
     * crash-4.0-2 => crash-4.0-2.15
     * cups-1.1.22-0.rc1.9.8 => cups-1.1.22-0.rc1.9.10
     * cups-devel-1.1.22-0.rc1.9.8 => cups-devel-1.1.22-0.rc1.9.10
     * cups-libs-1.1.22-0.rc1.9.8 => cups-libs-1.1.22-0.rc1.9.10
     * curl-7.12.1-5.rhel4 => curl-7.12.1-8.rhel4
     * curl-devel-7.12.1-5.rhel4 => curl-devel-7.12.1-8.rhel4
     * device-mapper-1.01.04-1.0.RHEL4 => device-mapper-1.02.02-3.0.RHEL4
     * device-mapper-multipath-0.4.5-6.0.RHEL4                         =>
       device-mapper-multipath-0.4.5-11.0.RHEL4
     * dhclient-3.0.1-12_EL => dhclient-3.0.1-54.EL4
     * dhcp-3.0.1-12_EL => dhcp-3.0.1-54.EL4
     * dhcp-devel-3.0.1-12_EL => dhcp-devel-3.0.1-54.EL4
     * dhcpv6-0.10-8 => dhcpv6-0.10-14_EL4
     * dhcpv6_client-0.10-8 => dhcpv6_client-0.10-14_EL4
     * diskdumputils-1.1.9-4 => diskdumputils-1.2.8-2
     * e2fsprogs-1.35-12.2.EL4 => e2fsprogs-1.35-12.3.EL4
     * e2fsprogs-devel-1.35-12.2.EL4 => e2fsprogs-devel-1.35-12.3.EL4
     * ethereal-0.10.12-1.EL4.1 => ethereal-0.10.14-1.EL4.1
     * ethereal-gnome-0.10.12-1.EL4.1 => ethereal-gnome-0.10.14-1.EL4.1
     * evolution-2.0.2-22 => evolution-2.0.2-26
     * evolution-connector-2.0.2-8 => evolution-connector-2.0.2-10
     * evolution-devel-2.0.2-22 => evolution-devel-2.0.2-26
     * file-4.10-2 => file-4.10-2.EL4.3
     * firefox-1.0.7-1.4.1 => firefox-1.0.7-1.4.2
     * fonts-xorg-100dpi-6.8.1.1-1.EL.1 => fonts-xorg-100dpi-6.8.2-1.EL
     * fonts-xorg-75dpi-6.8.1.1-1.EL.1 => fonts-xorg-75dpi-6.8.2-1.EL
     * fonts-xorg-ISO8859-14-100dpi-6.8.1.1-1.EL.1                     =>
       fonts-xorg-ISO8859-14-100dpi-6.8.2-1.EL
     * fonts-xorg-ISO8859-14-75dpi-6.8.1.1-1.EL.1                      =>
       fonts-xorg-ISO8859-14-75dpi-6.8.2-1.EL
     * fonts-xorg-ISO8859-15-100dpi-6.8.1.1-1.EL.1                     =>
       fonts-xorg-ISO8859-15-100dpi-6.8.2-1.EL
     * fonts-xorg-ISO8859-15-75dpi-6.8.1.1-1.EL.1                      =>
       fonts-xorg-ISO8859-15-75dpi-6.8.2-1.EL
     * fonts-xorg-ISO8859-2-100dpi-6.8.1.1-1.EL.1                      =>
       fonts-xorg-ISO8859-2-100dpi-6.8.2-1.EL
     * fonts-xorg-ISO8859-2-75dpi-6.8.1.1-1.EL.1                       =>
       fonts-xorg-ISO8859-2-75dpi-6.8.2-1.EL
     * fonts-xorg-ISO8859-9-100dpi-6.8.1.1-1.EL.1                      =>
       fonts-xorg-ISO8859-9-100dpi-6.8.2-1.EL
     * fonts-xorg-ISO8859-9-75dpi-6.8.1.1-1.EL.1                       =>
       fonts-xorg-ISO8859-9-75dpi-6.8.2-1.EL
     * fonts-xorg-base-6.8.1.1-1.EL.1 => fonts-xorg-base-6.8.2-1.EL
     * fonts-xorg-cyrillic-6.8.1.1-1.EL.1 => fonts-xorg-cyrillic-6.8.2-1.EL
     * fonts-xorg-syriac-6.8.1.1-1.EL.1 => fonts-xorg-syriac-6.8.2-1.EL
     * fonts-xorg-truetype-6.8.1.1-1.EL.1 => fonts-xorg-truetype-6.8.2-1.EL
     * gaim-1.3.1-0.el4.3 => gaim-1.5.0-12.el4
     * gcc-3.4.4-2 => gcc-3.4.5-2
     * gcc-c++-3.4.4-2 => gcc-c++-3.4.5-2
     * gcc-g77-3.4.4-2 => gcc-g77-3.4.5-2
     * gcc-gnat-3.4.4-2 => gcc-gnat-3.4.5-2
     * gcc-java-3.4.4-2 => gcc-java-3.4.5-2
     * gcc-objc-3.4.4-2 => gcc-objc-3.4.5-2
     * gcc4-4.0.1-4.EL4.2 => gcc4-4.0.2-14.EL4
     * gcc4-c++-4.0.1-4.EL4.2 => gcc4-c++-4.0.2-14.EL4
     * gcc4-gfortran-4.0.1-4.EL4.2 => gcc4-gfortran-4.0.2-14.EL4
     * gcc4-java-4.0.1-4.EL4.2 => gcc4-java-4.0.2-14.EL4
     * gdb-6.3.0.0-1.63 => gdb-6.3.0.0-1.96
     * gdk-pixbuf-0.22.0-16.el4 => gdk-pixbuf-0.22.0-17.el4.3
     * gdk-pixbuf-devel-0.22.0-16.el4 => gdk-pixbuf-devel-0.22.0-17.el4.3
     * gdm-2.6.0.5-7.rhel4.4 => gdm-2.6.0.5-7.rhel4.12
     * glibc-2.3.4-2.13 => glibc-2.3.4-2.18
     * glibc-common-2.3.4-2.13 => glibc-common-2.3.4-2.18
     * glibc-devel-2.3.4-2.13 => glibc-devel-2.3.4-2.18
     * glibc-headers-2.3.4-2.13 => glibc-headers-2.3.4-2.18
     * glibc-profile-2.3.4-2.13 => glibc-profile-2.3.4-2.18
     * glibc-utils-2.3.4-2.13 => glibc-utils-2.3.4-2.18
     * gnome-games-2.8.0-4 => gnome-games-2.8.0-4.rhel4.1
     * gnome-pilot-conduits-2.0.12-3 => gnome-pilot-conduits-2.0.12-4.EL4
     * gpdf-2.8.2-4.4 => gpdf-2.8.2-7.4
     * gtk2-2.4.13-16 => gtk2-2.4.13-18
     * gtk2-devel-2.4.13-16 => gtk2-devel-2.4.13-18
     * hal-0.4.2-1.EL4 => hal-0.4.2-3.EL4
     * hal-devel-0.4.2-1.EL4 => hal-devel-0.4.2-3.EL4
     * hal-gnome-0.4.2-1.EL4 => hal-gnome-0.4.2-3.EL4
     * httpd-2.0.52-19.ent => httpd-2.0.52-22.ent
     * httpd-devel-2.0.52-19.ent => httpd-devel-2.0.52-22.ent
     * httpd-manual-2.0.52-19.ent => httpd-manual-2.0.52-22.ent
     * httpd-suexec-2.0.52-19.ent => httpd-suexec-2.0.52-22.ent
     * hwdata-0.146.12.EL-1 => hwdata-0.146.13.EL-1
     * iiimf-csconv-12.1-13.EL.2 => iiimf-csconv-12.1-13.EL.3
     * iiimf-docs-12.1-13.EL.2 => iiimf-docs-12.1-13.EL.3
     * iiimf-emacs-12.1-13.EL.2 => iiimf-emacs-12.1-13.EL.3
     * iiimf-gnome-im-switcher-12.1-13.EL.2 =>
       iiimf-gnome-im-switcher-12.1-13.EL.3
     * iiimf-gtk-12.1-13.EL.2 => iiimf-gtk-12.1-13.EL.3
     * iiimf-le-canna-12.1-13.EL.2 => iiimf-le-canna-12.1-13.EL.3
     * iiimf-le-hangul-12.1-13.EL.2 => iiimf-le-hangul-12.1-13.EL.3
     * iiimf-le-sun-thai-12.1-13.EL.2 => iiimf-le-sun-thai-12.1-13.EL.3
     * iiimf-le-unit-12.1-13.EL.2 => iiimf-le-unit-12.1-13.EL.3
     * iiimf-le-xcin-0.1.7-11 => iiimf-le-xcin-0.1.7-12.EL4
     * iiimf-libs-12.1-13.EL.2 => iiimf-libs-12.1-13.EL.3
     * iiimf-libs-devel-12.1-13.EL.2 => iiimf-libs-devel-12.1-13.EL.3
     * iiimf-server-12.1-13.EL.2 => iiimf-server-12.1-13.EL.3
     * iiimf-x-12.1-13.EL.2 => iiimf-x-12.1-13.EL.3
     * initscripts-7.93.20.EL-1 => initscripts-7.93.24.EL-1.1
     * iputils-20020927-18.EL4.1 => iputils-20020927-18.EL4.2
     * irb-1.8.1-7.EL4.1 => irb-1.8.1-7.EL4.2
     * iscsi-initiator-utils-4.0.3.0-2 => iscsi-initiator-utils-4.0.3.0-3
     * k3b-0.11.14-2 => k3b-0.11.14-5.RHEL4
     * kdegraphics-3.3.1-3.4 => kdegraphics-3.3.1-3.6
     * kdegraphics-devel-3.3.1-3.4 => kdegraphics-devel-3.3.1-3.6
     * kdelibs-3.3.1-3.11 => kdelibs-3.3.1-3.14
     * kdelibs-devel-3.3.1-3.11 => kdelibs-devel-3.3.1-3.14
     * kernel-2.6.9-22.EL => kernel-2.6.9-29.EL
     * kernel-devel-2.6.9-22.EL => kernel-devel-2.6.9-29.EL
     * kernel-doc-2.6.9-22.EL => kernel-doc-2.6.9-29.EL
     * kernel-hugemem-2.6.9-22.EL => kernel-hugemem-2.6.9-29.EL
     * kernel-hugemem-devel-2.6.9-22.EL => kernel-hugemem-devel-2.6.9-29.EL
     * kernel-smp-2.6.9-22.EL => kernel-smp-2.6.9-29.EL
     * kernel-smp-devel-2.6.9-22.EL => kernel-smp-devel-2.6.9-29.EL
     * kernel-utils-2.4-13.1.69 => kernel-utils-2.4-13.1.80
     * keyutils-0.3-1 => keyutils-1.0-2
     * keyutils-devel-0.3-1 => keyutils-devel-1.0-2
     * krb5-devel-1.3.4-17 => krb5-devel-1.3.4-23
     * krb5-libs-1.3.4-17 => krb5-libs-1.3.4-23
     * krb5-server-1.3.4-17 => krb5-server-1.3.4-23
     * krb5-workstation-1.3.4-17 => krb5-workstation-1.3.4-23
     * libaio-0.3.103-3 => libaio-0.3.105-2
     * libaio-devel-0.3.103-3 => libaio-devel-0.3.105-2
     * libc-client-2002e-8 => libc-client-2002e-14
     * libc-client-devel-2002e-8 => libc-client-devel-2002e-14
     * libf2c-3.4.4-2 => libf2c-3.4.5-2
     * libgcc-3.4.4-2 => libgcc-3.4.5-2
     * libgcj-3.4.4-2 => libgcj-3.4.5-2
     * libgcj-devel-3.4.4-2 => libgcj-devel-3.4.5-2
     * libgcj4-4.0.1-4.EL4.2 => libgcj4-4.0.2-14.EL4
     * libgcj4-devel-4.0.1-4.EL4.2 => libgcj4-devel-4.0.2-14.EL4
     * libgcj4-src-4.0.1-4.EL4.2 => libgcj4-src-4.0.2-14.EL4
     * libgfortran-4.0.1-4.EL4.2 => libgfortran-4.0.2-14.EL4
     * libgnat-3.4.4-2 => libgnat-3.4.5-2
     * libmudflap-4.0.1-4.EL4.2 => libmudflap-4.0.2-14.EL4
     * libmudflap-devel-4.0.1-4.EL4.2 => libmudflap-devel-4.0.2-14.EL4
     * libobjc-3.4.4-2 => libobjc-3.4.5-2
     * librsvg2-2.8.1-1 => librsvg2-2.8.1-1.el4.1
     * librsvg2-devel-2.8.1-1 => librsvg2-devel-2.8.1-1.el4.1
     * libsoup-2.2.1-2 => libsoup-2.2.1-4
     * libsoup-devel-2.2.1-2 => libsoup-devel-2.2.1-4
     * libstdc++-3.4.4-2 => libstdc++-3.4.5-2
     * libstdc++-devel-3.4.4-2 => libstdc++-devel-3.4.5-2
     * libungif-4.1.3-1 => libungif-4.1.3-1.el4.2
     * libungif-devel-4.1.3-1 => libungif-devel-4.1.3-1.el4.2
     * libungif-progs-4.1.3-1 => libungif-progs-4.1.3-1.el4.2
     * libuser-0.52.5-1 => libuser-0.52.5-1.el4.1
     * libuser-devel-0.52.5-1 => libuser-devel-0.52.5-1.el4.1
     * linuxwacom-0.6.4-6 => linuxwacom-0.7.0-EL4.1
     * linuxwacom-devel-0.6.4-6 => linuxwacom-devel-0.7.0-EL4.1
     * lm_sensors-2.8.7-2 => lm_sensors-2.8.7-2.40.3
     * lm_sensors-devel-2.8.7-2 => lm_sensors-devel-2.8.7-2.40.3
     * lvm2-2.01.14-2.0.RHEL4 => lvm2-2.02.01-1.3.RHEL4
     * lynx-2.8.5-18 => lynx-2.8.5-18.2
     * man-pages-ja-20041215-1.EL4.0 => man-pages-ja-20050215-2.EL4.0
     * mdadm-1.6.0-2 => mdadm-1.6.0-3
     * mod_auth_pgsql-2.0.1-6 => mod_auth_pgsql-2.0.1-7.1
     * mod_ssl-2.0.52-19.ent => mod_ssl-2.0.52-22.ent
     * module-init-tools-3.1-0.pre5.3 => module-init-tools-3.1-0.pre5.3.1
     * netdump-0.7.7-3 => netdump-0.7.14-4
     * netdump-server-0.7.7-3 => netdump-server-0.7.14-4
     * netpbm-10.25-2.EL4.1 => netpbm-10.25-2.EL4.2
     * netpbm-devel-10.25-2.EL4.1 => netpbm-devel-10.25-2.EL4.2
     * netpbm-progs-10.25-2.EL4.1 => netpbm-progs-10.25-2.EL4.2
     * newt-0.51.6-5 => newt-0.51.6-7.rhel4
     * newt-devel-0.51.6-5 => newt-devel-0.51.6-7.rhel4
     * nptl-devel-2.3.4-2.13 => nptl-devel-2.3.4-2.18
     * nscd-2.3.4-2.13 => nscd-2.3.4-2.18
     * nss_ldap-226-6 => nss_ldap-226-10
     * ntsysv-1.3.13.2-1 => ntsysv-1.3.13.3-2
     * numactl-0.6.4-1.13 => numactl-0.6.4-1.17
     * openldap-2.2.13-3 => openldap-2.2.13-4
     * openldap-clients-2.2.13-3 => openldap-clients-2.2.13-4
     * openldap-devel-2.2.13-3 => openldap-devel-2.2.13-4
     * openldap-servers-2.2.13-3 => openldap-servers-2.2.13-4
     * openldap-servers-sql-2.2.13-3 => openldap-servers-sql-2.2.13-4
     * openoffice.org-1.1.2-28.6.0.EL4 => openoffice.org-1.1.2-31.6.0.EL4
     * openoffice.org-i18n-1.1.2-28.6.0.EL4 =>
       openoffice.org-i18n-1.1.2-31.6.0.EL4
     * openoffice.org-kde-1.1.2-28.6.0.EL4 =>
       openoffice.org-kde-1.1.2-31.6.0.EL4
     * openoffice.org-libs-1.1.2-28.6.0.EL4 =>
       openoffice.org-libs-1.1.2-31.6.0.EL4
     * openssh-3.9p1-8.RHEL4.9 => openssh-3.9p1-8.RHEL4.12
     * openssh-askpass-3.9p1-8.RHEL4.9 => openssh-askpass-3.9p1-8.RHEL4.12
     * openssh-askpass-gnome-3.9p1-8.RHEL4.9 =>
       openssh-askpass-gnome-3.9p1-8.RHEL4.12
     * openssh-clients-3.9p1-8.RHEL4.9 => openssh-clients-3.9p1-8.RHEL4.12
     * openssh-server-3.9p1-8.RHEL4.9 => openssh-server-3.9p1-8.RHEL4.12
     * openssl-0.9.7a-43.2 => openssl-0.9.7a-43.8
     * openssl-devel-0.9.7a-43.2 => openssl-devel-0.9.7a-43.8
     * openssl-perl-0.9.7a-43.2 => openssl-perl-0.9.7a-43.8
     * openssl096b-0.9.6b-22.3 => openssl096b-0.9.6b-22.42
     * pam-0.77-66.11 => pam-0.77-66.14
     * pam-devel-0.77-66.11 => pam-devel-0.77-66.14
     * pcmcia-cs-3.2.7-3.2 => pcmcia-cs-3.2.7-3.4
     * perl-5.8.5-16.RHEL4 => perl-5.8.5-24.RHEL4
     * perl-suidperl-5.8.5-16.RHEL4 => perl-suidperl-5.8.5-24.RHEL4
     * php-4.3.9-3.8 => php-4.3.9-3.9
     * php-devel-4.3.9-3.8 => php-devel-4.3.9-3.9
     * php-domxml-4.3.9-3.8 => php-domxml-4.3.9-3.9
     * php-gd-4.3.9-3.8 => php-gd-4.3.9-3.9
     * php-imap-4.3.9-3.8 => php-imap-4.3.9-3.9
     * php-ldap-4.3.9-3.8 => php-ldap-4.3.9-3.9
     * php-mbstring-4.3.9-3.8 => php-mbstring-4.3.9-3.9
     * php-mysql-4.3.9-3.8 => php-mysql-4.3.9-3.9
     * php-ncurses-4.3.9-3.8 => php-ncurses-4.3.9-3.9
     * php-odbc-4.3.9-3.8 => php-odbc-4.3.9-3.9
     * php-pear-4.3.9-3.8 => php-pear-4.3.9-3.9
     * php-pgsql-4.3.9-3.8 => php-pgsql-4.3.9-3.9
     * php-snmp-4.3.9-3.8 => php-snmp-4.3.9-3.9
     * php-xmlrpc-4.3.9-3.8 => php-xmlrpc-4.3.9-3.9
     * policycoreutils-1.18.1-4.7 => policycoreutils-1.18.1-4.9
     * popt-1.9.1-11_nonptl => popt-1.9.1-13_nonptl
     * procps-3.2.3-8.2 => procps-3.2.3-8.3
     * psacct-6.3.2-35.rhel4 => psacct-6.3.2-37.rhel4
     * quagga-0.97.0-1 => quagga-0.98.3-1.4E
     * quagga-contrib-0.97.0-1 => quagga-contrib-0.98.3-1.4E
     * quagga-devel-0.97.0-1 => quagga-devel-0.98.3-1.4E
     * redhat-release-4AS-3 => redhat-release-4AS-3.4
     * rhn-applet-2.1.22-4 => rhn-applet-2.1.24-3
     * rhnlib-1.8.1-1.p23.1 => rhnlib-1.8.2-1.p23.1
     * rpm-4.3.3-11_nonptl => rpm-4.3.3-13_nonptl
     * rpm-build-4.3.3-11_nonptl => rpm-build-4.3.3-13_nonptl
     * rpm-devel-4.3.3-11_nonptl => rpm-devel-4.3.3-13_nonptl
     * rpm-libs-4.3.3-11_nonptl => rpm-libs-4.3.3-13_nonptl
     * rpm-python-4.3.3-11_nonptl => rpm-python-4.3.3-13_nonptl
     * rpmdb-redhat-4-0.20051001 => rpmdb-redhat-4-0.20060125
     * ruby-1.8.1-7.EL4.1 => ruby-1.8.1-7.EL4.2
     * ruby-devel-1.8.1-7.EL4.1 => ruby-devel-1.8.1-7.EL4.2
     * ruby-docs-1.8.1-7.EL4.1 => ruby-docs-1.8.1-7.EL4.2
     * ruby-libs-1.8.1-7.EL4.1 => ruby-libs-1.8.1-7.EL4.2
     * ruby-mode-1.8.1-7.EL4.1 => ruby-mode-1.8.1-7.EL4.2
     * ruby-tcltk-1.8.1-7.EL4.1 => ruby-tcltk-1.8.1-7.EL4.2
     * samba-3.0.10-1.4E.2 => samba-3.0.10-1.4E.6
     * samba-client-3.0.10-1.4E.2 => samba-client-3.0.10-1.4E.6
     * samba-common-3.0.10-1.4E.2 => samba-common-3.0.10-1.4E.6
     * samba-swat-3.0.10-1.4E.2 => samba-swat-3.0.10-1.4E.6
     * selinux-policy-targeted-1.17.30-2.110 =>
       selinux-policy-targeted-1.17.30-2.123
     * selinux-policy-targeted-sources-1.17.30-2.110                   =>
       selinux-policy-targeted-sources-1.17.30-2.123
     * shadow-utils-4.0.3-52.RHEL4 => shadow-utils-4.0.3-60.RHEL4
     * spamassassin-3.0.4-1.el4 => spamassassin-3.0.5-3.el4
     * squid-2.5.STABLE6-3.4E.11 => squid-2.5.STABLE6-3.4E.12
     * sysstat-5.0.5-1 => sysstat-5.0.5-6.rhel4
     * system-config-lvm-1.0.5-1.0 => system-config-lvm-1.0.9-1.0
     * system-config-network-1.3.22-1 =>
       system-config-network-1.3.22.0.EL.4.2-1
     * system-config-network-tui-1.3.22-1 =>
       system-config-network-tui-1.3.22.0.EL.4.2-1
     * system-config-printer-0.6.116.4-1 => system-config-printer-0.6.116.5-1
     * system-config-printer-gui-0.6.116.4-1 =>
       system-config-printer-gui-0.6.116.5-1
     * systemtap-0.4-0.EL4 => systemtap-0.5.3-0.EL4
     * tetex-2.0.2-22.EL4.4 => tetex-2.0.2-22.EL4.7
     * tetex-afm-2.0.2-22.EL4.4 => tetex-afm-2.0.2-22.EL4.7
     * tetex-doc-2.0.2-22.EL4.4 => tetex-doc-2.0.2-22.EL4.7
     * tetex-dvips-2.0.2-22.EL4.4 => tetex-dvips-2.0.2-22.EL4.7
     * tetex-fonts-2.0.2-22.EL4.4 => tetex-fonts-2.0.2-22.EL4.7
     * tetex-latex-2.0.2-22.EL4.4 => tetex-latex-2.0.2-22.EL4.7
     * tetex-xdvi-2.0.2-22.EL4.4 => tetex-xdvi-2.0.2-22.EL4.7
     * thunderbird-1.0.6-1.4.1 => thunderbird-1.0.7-1.4.1
     * udev-039-10.10.EL4 => udev-039-10.12.EL4
     * unixODBC-2.2.9-1 => unixODBC-2.2.11-1.RHEL4.1
     * unixODBC-devel-2.2.9-1 => unixODBC-devel-2.2.11-1.RHEL4.1
     * unixODBC-kde-2.2.9-1 => unixODBC-kde-2.2.11-1.RHEL4.1
     * up2date-4.4.50-4 => up2date-4.4.63-4
     * up2date-gnome-4.4.50-4 => up2date-gnome-4.4.63-4
     * util-linux-2.12a-16.EL4.11 => util-linux-2.12a-16.EL4.16
     * wget-1.10.1-2.4E.1 => wget-1.10.2-0.40E
     * xinitrc-4.0.14-1 => xinitrc-4.0.14.2-1
     * xloadimage-4.1-34.RHEL4 => xloadimage-4.1-36.RHEL4
     * xorg-x11-6.8.2-1.EL.13.20 => xorg-x11-6.8.2-1.EL.13.25
     * xorg-x11-Mesa-libGL-6.8.2-1.EL.13.20 =>
       xorg-x11-Mesa-libGL-6.8.2-1.EL.13.25
     * xorg-x11-Mesa-libGLU-6.8.2-1.EL.13.20 =>
       xorg-x11-Mesa-libGLU-6.8.2-1.EL.13.25
     * xorg-x11-Xdmx-6.8.2-1.EL.13.20 => xorg-x11-Xdmx-6.8.2-1.EL.13.25
     * xorg-x11-Xnest-6.8.2-1.EL.13.20 => xorg-x11-Xnest-6.8.2-1.EL.13.25
     * xorg-x11-Xvfb-6.8.2-1.EL.13.20 => xorg-x11-Xvfb-6.8.2-1.EL.13.25
     * xorg-x11-deprecated-libs-6.8.2-1.EL.13.20                       =>
       xorg-x11-deprecated-libs-6.8.2-1.EL.13.25
     * xorg-x11-deprecated-libs-devel-6.8.2-1.EL.13.20                 =>
       xorg-x11-deprecated-libs-devel-6.8.2-1.EL.13.25
     * xorg-x11-devel-6.8.2-1.EL.13.20 => xorg-x11-devel-6.8.2-1.EL.13.25
     * xorg-x11-doc-6.8.2-1.EL.13.20 => xorg-x11-doc-6.8.2-1.EL.13.25
     * xorg-x11-font-utils-6.8.2-1.EL.13.20 =>
       xorg-x11-font-utils-6.8.2-1.EL.13.25
     * xorg-x11-libs-6.8.2-1.EL.13.20 => xorg-x11-libs-6.8.2-1.EL.13.25
     * xorg-x11-sdk-6.8.2-1.EL.13.20 => xorg-x11-sdk-6.8.2-1.EL.13.25
     * xorg-x11-tools-6.8.2-1.EL.13.20 => xorg-x11-tools-6.8.2-1.EL.13.25
     * xorg-x11-twm-6.8.2-1.EL.13.20 => xorg-x11-twm-6.8.2-1.EL.13.25
     * xorg-x11-xauth-6.8.2-1.EL.13.20 => xorg-x11-xauth-6.8.2-1.EL.13.25
     * xorg-x11-xdm-6.8.2-1.EL.13.20 => xorg-x11-xdm-6.8.2-1.EL.13.25
     * xorg-x11-xfs-6.8.2-1.EL.13.20 => xorg-x11-xfs-6.8.2-1.EL.13.25
     * xpdf-3.00-11.8 => xpdf-3.00-11.10
     * xscreensaver-4.18-5.rhel4.9 => xscreensaver-4.18-5.rhel4.10
     * ypbind-1.17.2-3 => ypbind-1.17.2-8
     * ypserv-2.13-5 => ypserv-2.13-9

   The following new packages have been added to Red Hat Enterprise Linux 4
   Update 3:
     * frysk-0.0.1.2005.12.14.15.12-0.EL4.3
     * keyutils-libs-1.0-2
     * libibverbs-1.0.rc4-0.4265.1.EL4
     * libibverbs-devel-1.0.rc4-0.4265.1.EL4
     * libibverbs-utils-1.0.rc4-0.4265.1.EL4
     * libmthca-1.0.rc4-0.4265.1.EL4
     * libmthca-devel-1.0.rc4-0.4265.1.EL4
     * libsdp-0.90-0.4265.1.EL4
     * opensm-1.0-0.4265.1.EL4
     * opensm-devel-1.0-0.4265.1.EL4
     * opensm-libs-1.0-0.4265.1.EL4
     * rarpd-ss981107-18.40.2
     * dapl-1.2-0.4265.1.EL4
     * udapl-devel-1.2-0.4265.1.EL4

   The following packages have been removed from Red Hat Enterprise Linux 4
   Update 3:
     * No packages have been removed.

   ( x86 )
